QGIS Application - Bug report #11027
SVG Symbols with <Path> fail to display
2014-08-08 05:48 AM - Stefan Loehr

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.4.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 19366
Description

SVG Marker Symbols ar not displayed correctly if they contain a "path" element.
For example:

<?xml version="1.0"?>

<svg width="21.467" height="19.467" xmIns="http://www.w3.0rg/2000/svg">

<g>
<title>Ebene 1</title>
<path d="m11.20594,0.29532a9.45,9.45 0 1 10,18.87636" fill="#00ffff" stroke-width="0" stroke="#000000"/>
</g>

</svg>

History

#1 - 2014-08-08 06:30 AM - Jiirgen Fischer
- Resolution set to invalid
- Status changed from Open to Closed

That would be really odd - we ship lots of svgs that have path with QGIS. Inkscape doesn't render the above svg either. I'm not a SVG expert, but |
suppose there's something wrong with the SVG.

#2 - 2014-08-11 02:28 AM - Stefan Loehr

You are right.

The Path-Element was corrupt.

It showed up correctly in IE and Firefox, so | assumed the Error had to be in QGis.

Sorry for the inconvenience.

If someone is interested:

corrupt: <path d="m11.20594,0.2953229.45,9.45 0 1 10,18.87636" fill="#00ffff" stroke-width="0" stroke="#000000"/>

correct: <path d="m11.20594,0.2953229.45,9.45 0 1 1 0,18.87636" fill="#00ffff" stroke-width="0" stroke="#000000"/>

Jurgen Fischer wrote:

That would be really odd - we ship lots of svgs that have path with QGIS. Inkscape doesn't render the above svg either. I'm not a SVG expert, but
| suppose there's something wrong with the SVG.

Files

PathTest.svg 255 Bytes 2014-08-08 Stefan Loehr

2025-04-27 22



